package net.minecraft.world.level.levelgen.placement;

import net.minecraft.world.level.levelgen.feature.configurations.DecoratorConfiguration;
import java.util.stream.IntStream;
import java.util.stream.Stream;
import net.minecraft.core.BlockPos;
import java.util.Random;
import net.minecraft.world.level.chunk.ChunkGenerator;
import net.minecraft.world.level.LevelAccessor;
import com.mojang.serialization.Codec;

public class CountHeight64Decorator extends FeatureDecorator<FrequencyDecoratorConfiguration> {
    public CountHeight64Decorator(final Codec<FrequencyDecoratorConfiguration> codec) {
        super(codec);
    }
    
    @Override
    public Stream<BlockPos> getPositions(final LevelAccessor bqc, final ChunkGenerator cha, final Random random, final FrequencyDecoratorConfiguration csf, final BlockPos fu) {
        final int integer4;
        final int integer5;
        final int integer6;
        return IntStream.range(0, csf.count).<BlockPos>mapToObj(integer -> {
            integer4 = random.nextInt(16) + fu.getX();
            integer5 = random.nextInt(16) + fu.getZ();
            integer6 = 64;
            return new BlockPos(integer4, 64, integer5);
        });
    }
}
